#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

bool is_valid(int pos, int delta, vector<int> a) {
    a[pos] += delta;
    long long sum = a[0];
    set<long long> sums = {sum};
    for (int i = 1; i < a.size(); i++) {
        sum += a[i];
        if (sums.count(sum)) {
            return true;
        }
        sums.insert(sum);
    }
    return false;
}

int main(int argc, char * argv[])
{
    setName("Checker");
    registerTestlibCmd(argc, argv);

    int n = inf.readInt();
    vector<int> as(n);
    for (int i = 0; i < n; i++) {
        as[i] = inf.readInt();
    }

    int jpos = ans.readInt(0, n - 1);
    int jdelta = ans.readInt(-1e9, 1e9);

    quitif(!is_valid(jpos, jdelta, as), _fail, "Jury solution is not correct");

    int ppos = ouf.readInt(0, n - 1);
    int pdelta = ouf.readInt(-2e9, 2e9);
    quitif(!is_valid(ppos, pdelta, as), _wa, "Participant solution has no similar prefix sums");

    quitif(abs(jdelta) > abs(pdelta), _fail, "Participant solution is better");
    quitif(abs(jdelta) < abs(pdelta), _wa, "Jury solution is better");

    quitf(_ok, "Correct");
}
